Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [EN] Xmonad Install  (Read 628 times)

Offline lesdelc

  • User
  • Posts: 16
[EN] Xmonad Install
« on: 2022/09/13, 13:37:13 »
Has anyone had success in an Xmonad install? I accessed the Debian website for help and followed the Wiki for an install. I tried the Xmonad website and followed the Debian install instruction but cannot get Xmonad to install. I searched the Internet and found other Siduction users unable to find a solution. One reply at a forum stated since Siduction is a rolling release you cannot install Xmonad. I was hoping the this forum can give me an explanation.

 

Offline towo

  • Administrator
  • User
  • *****
  • Posts: 2.702
Re: Xmonad Install
« Reply #1 on: 2022/09/13, 13:50:22 »
Code: [Select]
towo:Defiant> LANG=C apt install xmonad -s
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages were automatically installed and are no longer required:
  assistant-qt6 avahi-utils buildah catatonit clang-tidy clang-tidy-14 clang-tools-14 clangd clangd-14 conmon containernetworking-plugins cpp-11-powerpc64-linux-gnu crun dc designer-qt6 dvd+rw-tools fuse-overlayfs gcc-11-powerpc64-linux-gnu
  gcc-11-powerpc64-linux-gnu-base gir1.2-handy-1 gir1.2-packagekitglib-1.0 golang-1.18 golang-1.18-doc golang-1.18-go golang-1.18-src golang-github-containernetworking-plugin-dnsname golang-github-containers-common golang-github-containers-image growisofs hplip-data
  isa-support libabsl20210324 libappstream-glib8 libavkys9 libb2-1 libc-ares2 libcmark-gfm-extensions0.29.0.gfm.3 libcmark-gfm0.29.0.gfm.3 libdraco-dev libdraco4 libdvbv5-0 libfmt8 libfontembed1 libgcc-11-dev-ppc64-cross libgovirt-common libgovirt2 libgrpc++1
  libgrpc10 libhpmud0 libhttp-server-simple-perl libilmbase25 libk3b7 libk3b7-extracodecs libkf5sane-data libkf5sane5 libksanecore1 liblerc3 liblerc3:i386 liblouis-data liblouis20 liblouisutdml-bin liblouisutdml-data liblouisutdml9 libopenexr25 libpaps0 libpcre16-3
  libpcre3:i386 libpcre3-dev libpcre32-3 libpcrecpp0v5 libperl4-corelibs-perl libphodav-2.0-0 libphodav-2.0-common libpoppler118 libqt6concurrent6 libqt6core5compat6 libqt6core6 libqt6dbus6 libqt6designer6 libqt6designercomponents6 libqt6gui6 libqt6help6
  libqt6jsonrpc6 libqt6languageserver6 libqt6network6 libqt6opengl6 libqt6openglwidgets6 libqt6positioning6 libqt6printsupport6 libqt6qml6 libqt6qmlmodels6 libqt6qmlworkerscript6 libqt6quick6 libqt6quickcontrols2-6 libqt6quickcontrols2impl6 libqt6quicklayouts6
  libqt6quicktemplates2-6 libqt6quicktest6 libqt6quicktimeline6 libqt6quickwidgets6 libqt6serialport6 libqt6shadertools6 libqt6sql6 libqt6sql6-sqlite libqt6svg6 libqt6svgwidgets6 libqt6test6 libqt6uitools6 libqt6webchannel6 libqt6webengine6-data libqt6widgets6
  libqt6xml6 librest-0.7-0 librest-1.0-0 libsane-hpaio libstd-rust-1.59 libsubid4 libsvtav1enc0 libts0 libuvc0 libyaml-cpp0.7 linguist-qt6 mscompress paps podman python-dbus python3-async-generator python3-llfuse python3-markups python3-mdx-math python3-msgpack
  python3-notify2 python3-outcome python3-pyfuse3 python3-pyqt6.sip python3-regex python3-renderpm python3-reportlab python3-reportlab-accel python3-smbc python3-sortedcontainers python3-textile python3-trio qml-module-org-kde-kcmutils
  qml-module-org-kde-syntaxhighlighting qml-module-qtquick-extras qml-qt6 qml6-module-qtqml-models qml6-module-qtqml-workerscript qml6-module-qtquick qml6-module-qtquick-controls qml6-module-qtquick-layouts qt6-base-dev-tools qt6-declarative-dev-tools
  qt6-documentation-tools qt6-gtk-platformtheme qt6-l10n-tools qt6-qmltooling-plugins qt6-qpa-plugins qt6-tools-dev-tools qt6-translations-l10n qtcreator-data qtcreator-doc slirp4netns ssl-cert uidmap webcamoid-data
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  ghc ghc-doc libbsd-dev libghc-data-default-class-dev libghc-data-default-class-doc libghc-random-dev libghc-random-doc libghc-setlocale-dev libghc-splitmix-dev libghc-splitmix-doc libghc-utf8-string-dev libghc-utf8-string-doc libghc-x11-dev libghc-x11-doc
  libghc-x11-xft-dev libghc-x11-xft-doc libghc-xmonad-contrib-dev libghc-xmonad-contrib-doc libghc-xmonad-dev libghc-xmonad-doc libmd-dev
Suggested packages:
  ghc-prof haskell-doc libghc-data-default-class-prof libghc-random-prof libghc-splitmix-prof libghc-utf8-string-prof libghc-x11-prof libghc-x11-xft-prof libghc-xmonad-contrib-prof libghc-xmonad-prof dmenu gnome-session-flashback
The following NEW packages will be installed:
  ghc ghc-doc libbsd-dev libghc-data-default-class-dev libghc-data-default-class-doc libghc-random-dev libghc-random-doc libghc-setlocale-dev libghc-splitmix-dev libghc-splitmix-doc libghc-utf8-string-dev libghc-utf8-string-doc libghc-x11-dev libghc-x11-doc
  libghc-x11-xft-dev libghc-x11-xft-doc libghc-xmonad-contrib-dev libghc-xmonad-contrib-doc libghc-xmonad-dev libghc-xmonad-doc libmd-dev xmonad
0 upgraded, 22 newly installed, 0 to remove and 2 not upgraded.
Inst libmd-dev (1.0.4-2 Debian:unstable, Debian:testing [amd64])
Inst libbsd-dev (0.11.6-1 Debian:unstable, Debian:testing [amd64])
Inst ghc (9.0.2-3 Debian:unstable [amd64])
Inst ghc-doc (9.0.2-3 Debian:unstable [all])
Inst libghc-data-default-class-dev (0.1.2.0-6+b2 Debian:unstable [amd64])
Inst libghc-data-default-class-doc (0.1.2.0-6 Debian:unstable [all])
Inst libghc-splitmix-dev (0.1.0.4-1+b2 Debian:unstable [amd64])
Inst libghc-random-dev (1.2.1.1-2+b2 Debian:unstable [amd64])
Inst libghc-random-doc (1.2.1.1-2 Debian:unstable [all])
Inst libghc-setlocale-dev (1.0.0.10-1+b2 Debian:unstable [amd64])
Inst libghc-splitmix-doc (0.1.0.4-1 Debian:unstable [all])
Inst libghc-utf8-string-dev (1.0.2-1+b1 Debian:unstable [amd64])
Inst libghc-utf8-string-doc (1.0.2-1 Debian:unstable [all])
Inst libghc-x11-dev (1.10.2-1+b1 Debian:unstable [amd64])
Inst libghc-x11-doc (1.10.2-1 Debian:unstable [all])
Inst libghc-x11-xft-dev (0.3.4-2+b1 Debian:unstable [amd64])
Inst libghc-x11-xft-doc (0.3.4-2 Debian:unstable [all])
Inst libghc-xmonad-dev (0.17.0-2 Debian:unstable [amd64])
Inst libghc-xmonad-contrib-dev (0.17.0-1 Debian:unstable [amd64])
Inst libghc-xmonad-contrib-doc (0.17.0-1 Debian:unstable [all])
Inst libghc-xmonad-doc (0.17.0-2 Debian:unstable [all])
Inst xmonad (0.17.0-2 Debian:unstable [amd64])
Conf libmd-dev (1.0.4-2 Debian:unstable, Debian:testing [amd64])
Conf libbsd-dev (0.11.6-1 Debian:unstable, Debian:testing [amd64])
Conf ghc (9.0.2-3 Debian:unstable [amd64])
Conf ghc-doc (9.0.2-3 Debian:unstable [all])
Conf libghc-data-default-class-dev (0.1.2.0-6+b2 Debian:unstable [amd64])
Conf libghc-data-default-class-doc (0.1.2.0-6 Debian:unstable [all])
Conf libghc-splitmix-dev (0.1.0.4-1+b2 Debian:unstable [amd64])
Conf libghc-random-dev (1.2.1.1-2+b2 Debian:unstable [amd64])
Conf libghc-random-doc (1.2.1.1-2 Debian:unstable [all])
Conf libghc-setlocale-dev (1.0.0.10-1+b2 Debian:unstable [amd64])
Conf libghc-splitmix-doc (0.1.0.4-1 Debian:unstable [all])
Conf libghc-utf8-string-dev (1.0.2-1+b1 Debian:unstable [amd64])
Conf libghc-utf8-string-doc (1.0.2-1 Debian:unstable [all])
Conf libghc-x11-dev (1.10.2-1+b1 Debian:unstable [amd64])
Conf libghc-x11-doc (1.10.2-1 Debian:unstable [all])
Conf libghc-x11-xft-dev (0.3.4-2+b1 Debian:unstable [amd64])
Conf libghc-x11-xft-doc (0.3.4-2 Debian:unstable [all])
Conf libghc-xmonad-dev (0.17.0-2 Debian:unstable [amd64])
Conf libghc-xmonad-contrib-dev (0.17.0-1 Debian:unstable [amd64])
Conf libghc-xmonad-contrib-doc (0.17.0-1 Debian:unstable [all])
Conf libghc-xmonad-doc (0.17.0-2 Debian:unstable [all])
Conf xmonad (0.17.0-2 Debian:unstable [amd64])

So tell us, what's the exact problem?
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline edlin

  • User
  • Posts: 237
Re: Xmonad Install
« Reply #2 on: 2022/09/13, 16:57:13 »
The easiest way under Debian is to update its package sources:
Code: [Select]
apt updateThen install the desired package:
Code: [Select]
apt install xmonad
For help on updating a Debian system and installing packages, feel free to consult the manual.
Like towo, I cannot understand your problems. How have you searched for and installed packages so far?

edlin
Der Kluge lernt aus allem und von jedem,
der Normale aus seinen Erfahrungen
und der Dumme weiß alles besser.

Sokrates

Offline edlin

  • User
  • Posts: 237
Re: Xmonad Install
« Reply #3 on: 2022/09/14, 10:37:01 »
I installed xmonad in a siduction live-system: No errors, no conflicts. The installation in siduction (in debian it should be the same situation) works fine.
IMHO is your problem xmonad itself; after starting i got the following lines:
Code: [Select]
siducer@siduction:~$ xmonad
XMonad is recompiling and replacing itself with another XMonad process because the current process is called "xmonad" but the compiled configuration should be called "xmonad-x86_64-linux"
XMonad will use ghc to recompile, because neither "/home/siducer/.config/xmonad/build" nor "/home/siducer/.config/xmonad/stack.yaml" exists.
XMonad skipping recompile because it is not forced (e.g. via --recompile), and neither xmonad.hs nor any *.hs / *.lhs / *.hsc files in lib/ have been changed.
/home/siducer/.cache/xmonad/xmonad-x86_64-linux: executeFile: does not exist (No such file or directory)
X Error of failed request:  BadAccess (attempt to access private resource denied)
  Major opcode of failed request:  2 (X_ChangeWindowAttributes)
  Serial number of failed request:  7
  Current serial number in output stream:  8

At this point, i'm out, sorry.

edlin
Der Kluge lernt aus allem und von jedem,
der Normale aus seinen Erfahrungen
und der Dumme weiß alles besser.

Sokrates

Offline lesdelc

  • User
  • Posts: 16
Re: Xmonad Install
« Reply #4 on: 2022/09/14, 13:37:19 »
Thanks for the reply. Here is the problem I am having:

At the Login Screen of Siduction I have two choices to select the program I wish to load:

XMonad or Plasma (X11). When I select XMonad my system locks up and I have to reboot. I have installed XMonad on Arch and Ubuntu without any problems and have used XMonad for a few months. Since I enjoy using Siduction as my operating system I wanted to see if I can use XMonad with Siduction. I followed the procedure for the installation using the Debian Wiki and read through the XMonad documentation. I still have not a solution.  :(

-Les- 

Code: [Select]
towo:Defiant> LANG=C apt install xmonad -s
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages were automatically installed and are no longer required:
  assistant-qt6 avahi-utils buildah catatonit clang-tidy clang-tidy-14 clang-tools-14 clangd clangd-14 conmon containernetworking-plugins cpp-11-powerpc64-linux-gnu crun dc designer-qt6 dvd+rw-tools fuse-overlayfs gcc-11-powerpc64-linux-gnu
  gcc-11-powerpc64-linux-gnu-base gir1.2-handy-1 gir1.2-packagekitglib-1.0 golang-1.18 golang-1.18-doc golang-1.18-go golang-1.18-src golang-github-containernetworking-plugin-dnsname golang-github-containers-common golang-github-containers-image growisofs hplip-data
  isa-support libabsl20210324 libappstream-glib8 libavkys9 libb2-1 libc-ares2 libcmark-gfm-extensions0.29.0.gfm.3 libcmark-gfm0.29.0.gfm.3 libdraco-dev libdraco4 libdvbv5-0 libfmt8 libfontembed1 libgcc-11-dev-ppc64-cross libgovirt-common libgovirt2 libgrpc++1
  libgrpc10 libhpmud0 libhttp-server-simple-perl libilmbase25 libk3b7 libk3b7-extracodecs libkf5sane-data libkf5sane5 libksanecore1 liblerc3 liblerc3:i386 liblouis-data liblouis20 liblouisutdml-bin liblouisutdml-data liblouisutdml9 libopenexr25 libpaps0 libpcre16-3
  libpcre3:i386 libpcre3-dev libpcre32-3 libpcrecpp0v5 libperl4-corelibs-perl libphodav-2.0-0 libphodav-2.0-common libpoppler118 libqt6concurrent6 libqt6core5compat6 libqt6core6 libqt6dbus6 libqt6designer6 libqt6designercomponents6 libqt6gui6 libqt6help6
  libqt6jsonrpc6 libqt6languageserver6 libqt6network6 libqt6opengl6 libqt6openglwidgets6 libqt6positioning6 libqt6printsupport6 libqt6qml6 libqt6qmlmodels6 libqt6qmlworkerscript6 libqt6quick6 libqt6quickcontrols2-6 libqt6quickcontrols2impl6 libqt6quicklayouts6
  libqt6quicktemplates2-6 libqt6quicktest6 libqt6quicktimeline6 libqt6quickwidgets6 libqt6serialport6 libqt6shadertools6 libqt6sql6 libqt6sql6-sqlite libqt6svg6 libqt6svgwidgets6 libqt6test6 libqt6uitools6 libqt6webchannel6 libqt6webengine6-data libqt6widgets6
  libqt6xml6 librest-0.7-0 librest-1.0-0 libsane-hpaio libstd-rust-1.59 libsubid4 libsvtav1enc0 libts0 libuvc0 libyaml-cpp0.7 linguist-qt6 mscompress paps podman python-dbus python3-async-generator python3-llfuse python3-markups python3-mdx-math python3-msgpack
  python3-notify2 python3-outcome python3-pyfuse3 python3-pyqt6.sip python3-regex python3-renderpm python3-reportlab python3-reportlab-accel python3-smbc python3-sortedcontainers python3-textile python3-trio qml-module-org-kde-kcmutils
  qml-module-org-kde-syntaxhighlighting qml-module-qtquick-extras qml-qt6 qml6-module-qtqml-models qml6-module-qtqml-workerscript qml6-module-qtquick qml6-module-qtquick-controls qml6-module-qtquick-layouts qt6-base-dev-tools qt6-declarative-dev-tools
  qt6-documentation-tools qt6-gtk-platformtheme qt6-l10n-tools qt6-qmltooling-plugins qt6-qpa-plugins qt6-tools-dev-tools qt6-translations-l10n qtcreator-data qtcreator-doc slirp4netns ssl-cert uidmap webcamoid-data
Use 'apt autoremove' to remove them.
The following additional packages will be installed:
  ghc ghc-doc libbsd-dev libghc-data-default-class-dev libghc-data-default-class-doc libghc-random-dev libghc-random-doc libghc-setlocale-dev libghc-splitmix-dev libghc-splitmix-doc libghc-utf8-string-dev libghc-utf8-string-doc libghc-x11-dev libghc-x11-doc
  libghc-x11-xft-dev libghc-x11-xft-doc libghc-xmonad-contrib-dev libghc-xmonad-contrib-doc libghc-xmonad-dev libghc-xmonad-doc libmd-dev
Suggested packages:
  ghc-prof haskell-doc libghc-data-default-class-prof libghc-random-prof libghc-splitmix-prof libghc-utf8-string-prof libghc-x11-prof libghc-x11-xft-prof libghc-xmonad-contrib-prof libghc-xmonad-prof dmenu gnome-session-flashback
The following NEW packages will be installed:
  ghc ghc-doc libbsd-dev libghc-data-default-class-dev libghc-data-default-class-doc libghc-random-dev libghc-random-doc libghc-setlocale-dev libghc-splitmix-dev libghc-splitmix-doc libghc-utf8-string-dev libghc-utf8-string-doc libghc-x11-dev libghc-x11-doc
  libghc-x11-xft-dev libghc-x11-xft-doc libghc-xmonad-contrib-dev libghc-xmonad-contrib-doc libghc-xmonad-dev libghc-xmonad-doc libmd-dev xmonad
0 upgraded, 22 newly installed, 0 to remove and 2 not upgraded.
Inst libmd-dev (1.0.4-2 Debian:unstable, Debian:testing [amd64])
Inst libbsd-dev (0.11.6-1 Debian:unstable, Debian:testing [amd64])
Inst ghc (9.0.2-3 Debian:unstable [amd64])
Inst ghc-doc (9.0.2-3 Debian:unstable [all])
Inst libghc-data-default-class-dev (0.1.2.0-6+b2 Debian:unstable [amd64])
Inst libghc-data-default-class-doc (0.1.2.0-6 Debian:unstable [all])
Inst libghc-splitmix-dev (0.1.0.4-1+b2 Debian:unstable [amd64])
Inst libghc-random-dev (1.2.1.1-2+b2 Debian:unstable [amd64])
Inst libghc-random-doc (1.2.1.1-2 Debian:unstable [all])
Inst libghc-setlocale-dev (1.0.0.10-1+b2 Debian:unstable [amd64])
Inst libghc-splitmix-doc (0.1.0.4-1 Debian:unstable [all])
Inst libghc-utf8-string-dev (1.0.2-1+b1 Debian:unstable [amd64])
Inst libghc-utf8-string-doc (1.0.2-1 Debian:unstable [all])
Inst libghc-x11-dev (1.10.2-1+b1 Debian:unstable [amd64])
Inst libghc-x11-doc (1.10.2-1 Debian:unstable [all])
Inst libghc-x11-xft-dev (0.3.4-2+b1 Debian:unstable [amd64])
Inst libghc-x11-xft-doc (0.3.4-2 Debian:unstable [all])
Inst libghc-xmonad-dev (0.17.0-2 Debian:unstable [amd64])
Inst libghc-xmonad-contrib-dev (0.17.0-1 Debian:unstable [amd64])
Inst libghc-xmonad-contrib-doc (0.17.0-1 Debian:unstable [all])
Inst libghc-xmonad-doc (0.17.0-2 Debian:unstable [all])
Inst xmonad (0.17.0-2 Debian:unstable [amd64])
Conf libmd-dev (1.0.4-2 Debian:unstable, Debian:testing [amd64])
Conf libbsd-dev (0.11.6-1 Debian:unstable, Debian:testing [amd64])
Conf ghc (9.0.2-3 Debian:unstable [amd64])
Conf ghc-doc (9.0.2-3 Debian:unstable [all])
Conf libghc-data-default-class-dev (0.1.2.0-6+b2 Debian:unstable [amd64])
Conf libghc-data-default-class-doc (0.1.2.0-6 Debian:unstable [all])
Conf libghc-splitmix-dev (0.1.0.4-1+b2 Debian:unstable [amd64])
Conf libghc-random-dev (1.2.1.1-2+b2 Debian:unstable [amd64])
Conf libghc-random-doc (1.2.1.1-2 Debian:unstable [all])
Conf libghc-setlocale-dev (1.0.0.10-1+b2 Debian:unstable [amd64])
Conf libghc-splitmix-doc (0.1.0.4-1 Debian:unstable [all])
Conf libghc-utf8-string-dev (1.0.2-1+b1 Debian:unstable [amd64])
Conf libghc-utf8-string-doc (1.0.2-1 Debian:unstable [all])
Conf libghc-x11-dev (1.10.2-1+b1 Debian:unstable [amd64])
Conf libghc-x11-doc (1.10.2-1 Debian:unstable [all])
Conf libghc-x11-xft-dev (0.3.4-2+b1 Debian:unstable [amd64])
Conf libghc-x11-xft-doc (0.3.4-2 Debian:unstable [all])
Conf libghc-xmonad-dev (0.17.0-2 Debian:unstable [amd64])
Conf libghc-xmonad-contrib-dev (0.17.0-1 Debian:unstable [amd64])
Conf libghc-xmonad-contrib-doc (0.17.0-1 Debian:unstable [all])
Conf libghc-xmonad-doc (0.17.0-2 Debian:unstable [all])
Conf xmonad (0.17.0-2 Debian:unstable [amd64])

So tell us, what's the exact problem?

Offline scholle1

  • User
  • Posts: 44
Re: Xmonad Install
« Reply #5 on: 2022/09/14, 21:34:15 »
Tested a fresh installation of xmond on KDE-Plasma and XFCE today.
Code: [Select]
apt install xmonad
Both work fine.
On the login screen select session "xmonad" and login.

The window manager starts blazing fast and nothing is visible except the mouse pointer.
I suspect that this is where the irritations occurred.
With <ALT>+<Shift>+<Return> a terminal opens. Running it several times starts the tiling function.

Please note the documentation in configuration tutorial and edit the configuration file.
https://xmonad.org/TUTORIAL.html
See also
Key assignment
https://xmonad.org/images/cheat/xmbindings.png

Please note the first lines of the page https://xmonad.org/INSTALL.html:
Quote
On many systems xmonad is available as a binary package in your distribution (Debian, Ubuntu, Fedora, Arch, Gentoo, …). It’s by far the easiest way to get xmonad, ...
If the installation was done without apt according to the furhter instructions on xmonad.org/INSTALL.html, all these steps have to be undone.
« Last Edit: 2022/09/14, 21:51:13 by scholle1 »
Kannst du dir ein abgegriffenes E-book vorstellen? Spürst du das Leben, wenn du es in der Hand hälst?

Offline lesdelc

  • User
  • Posts: 16
Re: Xmonad Install (Unresolved)
« Reply #6 on: 2022/09/15, 04:03:30 »
After several attempts I cannot get XMonad to install on Siduction. I will have to settle on Awesomewm which installs fine.

Has anyone had success in an Xmonad install? I accessed the Debian website for help and followed the Wiki for an install. I tried the Xmonad website and followed the Debian install instruction but cannot get Xmonad to install. I searched the Internet and found other Siduction users unable to find a solution. One reply at a forum stated since Siduction is a rolling release you cannot install Xmonad. I was hoping the this forum can give me an explanation.

Offline lesdelc

  • User
  • Posts: 16
Re: Xmonad Install
« Reply #7 on: 2022/09/15, 04:07:23 »
Thanks for your suggestions. Still cannot get XMonad to run with Siduction.

Tested a fresh installation of xmond on KDE-Plasma and XFCE today.
Code: [Select]
apt install xmonad
Both work fine.
On the login screen select session "xmonad" and login.

The window manager starts blazing fast and nothing is visible except the mouse pointer.
I suspect that this is where the irritations occurred.
With <ALT>+<Shift>+<Return> a terminal opens. Running it several times starts the tiling function.

Please note the documentation in configuration tutorial and edit the configuration file.
https://xmonad.org/TUTORIAL.html
See also
Key assignment
https://xmonad.org/images/cheat/xmbindings.png

Please note the first lines of the page https://xmonad.org/INSTALL.html:
Quote
On many systems xmonad is available as a binary package in your distribution (Debian, Ubuntu, Fedora, Arch, Gentoo, …). It’s by far the easiest way to get xmonad, ...
If the installation was done without apt according to the furhter instructions on xmonad.org/INSTALL.html, all these steps have to be undone.

Offline lesdelc

  • User
  • Posts: 16
Re: Xmonad Install (Unresolved)
« Reply #8 on: 2022/09/15, 13:04:59 »
I have installed XMonad. However at the login screen of Siduction when I attempt to login to XMonad my system locks up and I need to reboot.

Thanks for your suggestions. Still cannot get XMonad to run with Siduction.

Tested a fresh installation of xmond on KDE-Plasma and XFCE today.
Code: [Select]
apt install xmonad
Both work fine.
On the login screen select session "xmonad" and login.

The window manager starts blazing fast and nothing is visible except the mouse pointer.
I suspect that this is where the irritations occurred.
With <ALT>+<Shift>+<Return> a terminal opens. Running it several times starts the tiling function.

Please note the documentation in configuration tutorial and edit the configuration file.
https://xmonad.org/TUTORIAL.html
See also
Key assignment
https://xmonad.org/images/cheat/xmbindings.png

Please note the first lines of the page https://xmonad.org/INSTALL.html:
Quote
On many systems xmonad is available as a binary package in your distribution (Debian, Ubuntu, Fedora, Arch, Gentoo, …). It’s by far the easiest way to get xmonad, ...
If the installation was done without apt according to the furhter instructions on xmonad.org/INSTALL.html, all these steps have to be undone.

Offline scholle1

  • User
  • Posts: 44
Re: Xmonad Install
« Reply #9 on: 2022/09/15, 14:35:18 »
To help, we need more specific information about what actions you have performed before.

The output of "inxi -S"
When did the last DU take place?
How exactly was xmonad installed?
Did you make multiple attempts?

An example from me about the installation:
According to <https://xmonad.org/INSTALL.html> the manual installation with all dependencies should be done in the user directory under ~/.config/xmonad/. Of course, some commands require root privileges. This creates the executable in /root/.local/bin. Tried several times in both /root/ and /home/user/. All without success.
After removing all manual installation and using apt instead, xmonad started absolutely fine.

One request:
Only quote something from previous threads if it makes sense in terms of content, so that the discussion is not unnecessarily inflated.
Kannst du dir ein abgegriffenes E-book vorstellen? Spürst du das Leben, wenn du es in der Hand hälst?

Offline lesdelc

  • User
  • Posts: 16
Re: Xmonad Install
« Reply #10 on: 2022/09/16, 19:58:09 »
I installed XMonad on Arch, Ubuntu 22.04 and LinuxMint 21 with xmobar with no problems. Siduction I cannot install XMoad on due to some reason. Yes, I made many attempts, the output of inix -S is correct., I used apt install Xmonad but no success. I am going to leave this for a few days and make another attempt.

To help, we need more specific information about what actions you have performed before.

The output of "inxi -S"
When did the last DU take place?
How exactly was xmonad installed?
Did you make multiple attempts?

An example from me about the installation:
According to <https://xmonad.org/INSTALL.html> the manual installation with all dependencies should be done in the user directory under ~/.config/xmonad/. Of course, some commands require root privileges. This creates the executable in /root/.local/bin. Tried several times in both /root/ and /home/user/. All without success.
After removing all manual installation and using apt instead, xmonad started absolutely fine.

One request:
Only quote something from previous threads if it makes sense in terms of content, so that the discussion is not unnecessarily inflated.